Latest1.0.2
Homepagehttps://github.com/imryan/popcornnotify-swift
LicenseMIT
Platformsios 8.0
Authors

🍿 PopcornNotify

CI Status
Version
License
Platform

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Requirements

  • Has no dependencies!

Installation

PopcornNotify is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod 'PopcornNotify'

Usage

// Setup PopcornNotify with API key
let popcorn = PopcornNotify(withAPIkey: "api:key")

// Notify!
popcorn(recipients: "[email protected]", "2125551234",
           message: "Hello, world!", subject: "Hello") { (error) in

    if let error = error {
        print("Error:", error.localizedDescription)
    }
}

Author

Ryan Cohen, [email protected]

License

PopcornNotify is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "PopcornNotify",
    "version": "1.0.2",
    "summary": "Send simple emails and text messages from one API, in Swift.",
    "description": "Send simple emails and text messages from one API, in Swift. A PopcornNotify.com wrapper for iOS.",
    "homepage": "https://github.com/imryan/popcornnotify-swift",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "Ryan Cohen": "[email protected]"
    },
    "source": {
        "git": "https://github.com/imryan/popcornnotify-swift.git",
        "tag": "1.0.2"
    },
    "social_media_url": "https://twitter.com/ryancohen",
    "platforms": {
        "ios": "8.0"
    },
    "source_files": "PopcornNotify/Classes/**/*"
}

Pin It on Pinterest

Share This